import { Collection } from 'mongodb';
export default class MongoConnector {
    private mongoUrl;
    private db;
    constructor(url: string);
    connect(started?: Function): Promise<{}>;
    disconnect(): Promise<void>;
    dispose(): Promise<void>;
    collection<T>(name: string): Collection<T>;
}
